Bug 1639186 - Review Request: libcerf - a library that provides complex error functions
Summary: Review Request: libcerf - a library that provides complex error functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1476616
TreeView+ depends on / blocked
 
Reported: 2018-10-15 09:03 UTC by José Matos
Modified: 2019-01-07 02:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-21 03:10:00 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)
Correct Voigt profile from gnuplot's cerf.dem (13.99 KB, application/pdf)
2018-12-29 02:00 UTC, Dmitri A. Sergatskov
no flags Details

Description José Matos 2018-10-15 09:03:50 UTC
Spec URL: https://jamatos.fedorapeople.org/libcerf.spec
SRPM URL: https://jamatos.fedorapeople.org/libcerf-1.8-1.fc29.src.rpm
Fedora Account System Username: jamatos
Description:
libcerf is a self-contained numeric library that provides an efficient
and accurate implementation of complex error functions, along with
Dawson, Faddeeva, and Voigt functions.

Comment 1 Patrick 2018-10-16 15:19:03 UTC
I get the following compilation error (libcerf-1.8):

switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -Wl,-z,relro  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld  -o gnuplot_x11 gplt_x11.o gpexecute.o version.o getcolor_x11.o -lX11  -ldl -lm -lcerf  -lz -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lcairo -lglib-2.0 
In file included from ../../src/libcerf.c:15:
../../src/gp_types.h:143:8: error: expected '{' before 'double'
 struct cmplx {
        ^~~~~
../../src/gp_types.h:143:8: error: two or more data types in declaration specifiers
../../src/gp_types.h:143:8: error: two or more data types in declaration specifiers
 struct cmplx {
        ^~~~~
../../src/gp_types.h:151:9: error: expected '{' before 'double'
  struct cmplx cmplx_val;
         ^~~~~
../../src/gp_types.h:151:9: error: two or more data types in declaration specifiers
../../src/gp_types.h:151:9: error: two or more data types in declaration specifiers
  struct cmplx cmplx_val;
         ^~~~~
make[4]: *** [Makefile:906: libcerf.o] Error 1
make[4]: Leaving directory '/home/pdupre/rpmbuild/BUILD/gnuplot-5.2.5/minimal/src'
make[3]: *** [Makefile:960: all-recursive] Error 1
make[3]: Leaving directory '/home/pdupre/rpmbuild/BUILD/gnuplot-5.2.5/minimal/src'
make[2]: *** [Makefile:634: all] Error 2
make[2]: Leaving directory '/home/pdupre/rpmbuild/BUILD/gnuplot-5.2.5/minimal/src'
make[1]: *** [Makefile:417: all-recursive] Error 1
make[1]: Leaving directory '/home/pdupre/rpmbuild/BUILD/gnuplot-5.2.5/minimal'
make: *** [Makefile:355: all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.FBcIJo (%build)

Comment 2 José Matos 2018-10-16 16:12:04 UTC
Without a further look I think that you got this:
https://github.com/gnuplot/gnuplot/commit/0508c9c59d27cd32529fa2ddfc440a618f6a8cca#diff-2d506530da12533b1582fe5359bb08b1

The patch is simple and it should fix the issue.

Comment 3 Robert-André Mauchin 2018-10-19 18:29:46 UTC
 - Not needed:

rm -rf $RPM_BUILD_ROOT

 - Bump to 1.9 (released 3 days ago)

 - Add the version-release info in your %changelog entry

 - Don't mix tabs and spaces, use one only

 - Capitalize the summary

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 29 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/libcerf/review-libcerf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libcerf-
     debuginfo , libcerf-debugsource
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libcerf-1.9-1.fc30.x86_64.rpm
          libcerf-devel-1.9-1.fc30.x86_64.rpm
          libcerf-debuginfo-1.9-1.fc30.x86_64.rpm
          libcerf-debugsource-1.9-1.fc30.x86_64.rpm
          libcerf-1.9-1.fc30.src.rpm
libcerf.x86_64: W: summary-not-capitalized C a library that provides complex error functions
libcerf.x86_64: W: no-version-in-last-changelog
libcerf.x86_64: W: shared-lib-calls-exit /usr/lib64/libcerf.so.1.9 exit@GLIBC_2.2.5
libcerf-devel.x86_64: W: no-version-in-last-changelog
libcerf-debuginfo.x86_64: W: no-version-in-last-changelog
libcerf-debugsource.x86_64: W: no-version-in-last-changelog
libcerf.src: W: summary-not-capitalized C a library that provides complex error functions
libcerf.src: W: no-version-in-last-changelog
libcerf.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 1)
5 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 4 José Matos 2018-10-19 20:25:24 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - Not needed:
> 
> rm -rf $RPM_BUILD_ROOT

Blame emacs default template. :-) Fixed.
 
>  - Bump to 1.9 (released 3 days ago)

I hate when this happens. :-)
Fixed.
 
>  - Add the version-release info in your %changelog entry

I had a new version with that fixed but forgot to upload it. Done.
 
>  - Don't mix tabs and spaces, use one only

"M-x untabify" to the rescue. :-)

>  - Capitalize the summary
Done.

spec: https://jamatos.fedorapeople.org/libcerf.spec
srpm: https://jamatos.fedorapeople.org/libcerf-1.9-1.fc29.src.rpm

Comment 5 Robert-André Mauchin 2018-10-19 21:32:18 UTC
Package approved.

Comment 6 José Matos 2018-10-26 13:57:27 UTC
I think that the status should still be assigned and not post.

Comment 7 Gwyn Ciesla 2018-10-30 13:23:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libcerf

Comment 8 Fedora Update System 2018-11-03 10:54:48 UTC
libcerf-1.9-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59933f9560

Comment 9 Fedora Update System 2018-11-03 10:56:13 UTC
libcerf-1.9-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f578cbef6f

Comment 10 Fedora Update System 2018-11-04 06:38:43 UTC
libcerf-1.9-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59933f9560

Comment 11 Fedora Update System 2018-11-04 22:31:26 UTC
libcerf-1.9-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f578cbef6f

Comment 12 Fedora Update System 2018-11-21 03:10:00 UTC
libcerf-1.9-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Dmitri A. Sergatskov 2018-11-21 03:32:51 UTC
libcerf 1.8 and 1.9 are broken. Please downggrade to 1.7 before 1.10 release.
http://apps.jcns.fz-juelich.de/doku/sc/libcerf

Dmitri.

Comment 14 Fedora Update System 2018-11-21 16:51:56 UTC
libcerf-1.9-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Dmitri A. Sergatskov 2018-12-28 21:18:34 UTC
Please update libcerf to 1.11

1.8, 1.9, 1.10 are broken.

Dmitri.

Comment 16 Fedora Update System 2018-12-29 01:40:45 UTC
libcerf-1.11-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cb974b5d2a

Comment 17 Fedora Update System 2018-12-29 01:41:54 UTC
libcerf-1.11-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d92a998d87

Comment 18 José Matos 2018-12-29 01:49:45 UTC
I saw the 1.10 release but chose to ignore it since it did not fix the original problem.
This time all should work (knock on the wood...). :-)

Comment 19 Dmitri A. Sergatskov 2018-12-29 02:00:01 UTC
Created attachment 1517306 [details]
Correct Voigt profile from gnuplot's cerf.dem

Comment 20 Fedora Update System 2018-12-30 02:29:35 UTC
libcerf-1.11-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d92a998d87

Comment 21 Fedora Update System 2018-12-30 03:17:15 UTC
libcerf-1.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cb974b5d2a

Comment 22 Fedora Update System 2019-01-07 01:35:38 UTC
libcerf-1.11-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-01-07 02:35:57 UTC
libcerf-1.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.